
/* 
 * The MIT License (MIT)
 * 
 * Copyright (c) 2016 weburger
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
'use strict';
/**
 * 
 */
angular.module('ngMaterialWeburgerMailchimp')
/**
 * 
 */

.config(['ngMdIconServiceProvider', function(ngMdIconServiceProvider) {
	ngMdIconServiceProvider
//	// Move actions
	.addShape('wb-mailchimp', '<pathd="m 1255.88,210.172 -0.21,-0.378 -0.41,-1.304 0.19,-0.395 c 12.94,-26.648 27.76,-41.931 40.66,-41.931 h 0.13 c 14.56,0.113 24.64,13.213 24.49,31.859 -0.09,12.447 -5.58,19.613 -10.16,23.43 -5.22,4.357 -12.19,6.853 -19.1,6.853 -17.05,-0.129 -28.75,-9.931 -35.59,-18.134 z m -3.53,100.62 c -2.08,2.77 -4.98,4.173 -8.61,4.173 -4.17,-0.032 -7.3,-1.491 -9.43,-4.333 -5.96,-7.976 -4.28,-26.714 5.45,-60.748 1.16,-4.058 2.43,-8.144 3.76,-12.146 l 1.13,-3.395 1,3.438 c 11.34,39.273 13.6,63.838 6.7,73.011 z M 835.33,129.865 c 0.381,-8.483 1.092,-16.742 2.108,-24.549 6.567,-50.324 20.287,-85.471 33.365,-85.471 h 0.057 c 6.232,0.047 9.355,4.762 9.286,14.01 -0.174,22.722 -14.57,55.252 -42.786,96.687 l -2.208,3.244 z m 457.61,114.791 0.46,0.003 c 27.46,0 46.79,-19.021 47,-46.255 0.1,-13.481 -3.79,-25.819 -10.97,-34.74 -7.59,-9.438 -18.21,-14.475 -30.72,-14.571 l -0.26,-0.002 c -16.88,0 -32.56,12.815 -47.93,39.178 l -1.23,2.098 -0.78,-2.299 c -3.88,-11.299 -7.34,-20.711 -9.41,-26.334 -1.44,-3.932 -2.09,-5.695 -2.24,-6.264 -0.73,-2.855 -3.17,-4.625 -6.37,-4.625 -1.96,0 -4.05,0.666 -6.03,1.922 -1.95,1.244 -3.05,2.771 -3.44,4.803 l -0.1,0.303 c -15.38,47.98 -28.07,71.283 -38.81,71.285 -1.56,-0.012 -2.79,-0.529 -3.7,-1.536 -2.81,-3.115 -2.12,-10.515 -1.17,-20.759 0.71,-7.52 1.5,-16.043 1.17,-25.084 -0.63,-17.373 -10.14,-27.815 -25.43,-27.932 -19.43,-0.002 -32.02,20.686 -37.82,33.018 l -1.73,3.681 -0.38,-4.05 c -1.45,-15.266 -6.57,-33.493 -22.75,-33.616 -18.86,0 -33.23,22.141 -42,40.717 l -2.35,4.979 0.23,-5.5 c 1.05,-24.781 1.91,-39.404 2.55,-43.465 0.64,-4.068 0.3,-6.803 -1.03,-8.363 -1.26,-1.471 -3.64,-2.012 -7.13,-1.79 -6.04,0.382 -9.13,4.055 -13.77,16.377 -7.64,20.239 -27.066,67.313 -42.578,67.313 -3.076,-0.022 -5.513,-1.072 -7.297,-3.115 -6.507,-7.463 -3.905,-27.618 -0.304,-55.516 l 0.272,-2.109 c 1.702,-13.209 -1.205,-16.027 -8.373,-17.348 -0.774,-0.143 -1.506,-0.215 -2.18,-0.215 -5.73,0 -8.41,5.487 -13.762,20.733 -9.521,27.134 -21.762,55.675 -36.088,55.675 -0.523,0 -1.045,-0.043 -1.566,-0.13 -7.589,-1.287 -7.424,-12.549 -7.213,-26.807 0.113,-7.713 0.242,-16.453 -0.949,-24.348 -2.139,-14.162 -10.484,-23.011 -21.78,-23.098 -22.552,-0.003 -37.758,28.876 -44.831,46.087 l -1.603,3.896 -0.532,-4.179 c -0.949,-7.462 -2.197,-19.293 -2.742,-33.284 l -0.016,-0.412 0.257,-0.324 C 877.716,105.533 896.65,67.199 896.902,34.355 897.063,13.371 887.383,0.769 871.008,0.642 c -11.969,0 -40.444,9.973 -50.336,102.356 -1.835,17.13 -2.844,34.695 -2.995,52.208 l -0.003,0.34 -0.195,0.281 c -19.303,27.946 -60.511,76.014 -100.854,76.014 -36.449,0 -65.531,-29.486 -65.531,-81.541 0,-69.781 49.397,-112.625 86.565,-112.625 l 0.305,0.002 c 8.078,0.061 15.004,2.318 20.033,6.525 5.22,4.368 7.949,10.491 7.893,17.704 -0.071,9.635 -3.207,14.584 -6.241,19.369 -0.779,1.231 -1.556,2.455 -2.267,3.752 -0.717,1.306 -1.371,3.207 -0.418,4.834 0.977,1.664 3.471,2.711 6.512,2.734 8.85,0 22.229,-12.806 22.377,-32.105 0.154,-20.198 -16.861,-41.01 -47.217,-41.01 -45.935,0 -107.796,50.465 -107.796,132.252 0,57.854 36.271,97.84 85.408,97.84 34.872,0 69.365,-24.963 99.909,-66.664 l 1.871,-2.531 0.134,3.146 c 0.647,15.258 1.757,27.291 2.567,36.074 0.521,5.647 0.899,9.725 0.883,11.975 -0.039,4.934 0.767,8.352 2.466,10.453 1.7,2.104 4.399,3.1 8.493,3.131 6.861,0 8.232,-4.682 10.949,-16.213 l 0.782,-3.295 c 3.375,-13.984 15.845,-59.619 34.604,-59.619 3.062,0.023 5.422,0.937 7.101,2.717 4.145,4.394 3.692,13.408 3.166,23.849 -0.328,6.516 -0.667,13.25 -0.012,19.807 1.766,17.699 9.409,26.355 23.367,26.461 14.335,0.002 29.289,-15.434 37.177,-29.78 l 1.492,-2.71 0.578,3.039 c 1.458,7.675 7.973,32.88 28.371,32.88 18.489,0 34.344,-19.472 51.734,-59.533 l 2.27,-5.236 -0.14,5.707 c -0.37,15.184 -1.19,33.724 -1.2,48.059 0,11.084 1.12,15.316 6.24,15.316 0.36,0 0.75,0.057 1.16,0.057 4.92,0 8.26,-2.942 9.92,-8.742 13.08,-45.589 24.38,-66.821 35.58,-66.821 10.97,0.082 12,20.137 12.88,55.573 l 0.06,2.482 c 0.27,12.396 0.71,17.877 8.41,17.937 5.84,0 7.3,-4.586 10.32,-15.886 0.57,-2.161 1.21,-4.522 1.94,-7.071 10.56,-36.646 19.32,-51.594 30.22,-51.594 9.33,0.073 9.85,9.692 10.02,12.854 0.36,6.772 -0.34,13.854 -1.01,20.701 -0.63,6.359 -1.27,12.93 -1.03,19.057 0.57,14.332 8.42,22.281 22.1,22.387 17.76,0.001 33.78,-20.76 47.82,-61.707 l 0.97,-2.852 1.11,2.805 c 2.55,6.427 5.87,15.14 8.94,25.535 l 0.12,0.396 -0.17,0.377 c -13.59,30.178 -23.18,63.795 -23.32,81.748 -0.18,23.657 10.53,39.029 27.27,39.157 l 0.29,0.002 c 9.11,0 30.35,-3.655 30.76,-37.507 0.16,-13.874 -3.11,-33.494 -9.74,-58.314 l -0.76,-2.841 2.45,1.626 c 8.46,5.613 17.99,8.618 27.58,8.692 z"id="Fill-2"inkscape:connector-curvature="0"style="fill:#0a0a08;fill-rule:evenodd;stroke:none;stroke-width:1" /><polylinestyle="fill:#0a0a08;fill-rule:evenodd;stroke:none;stroke-width:1"points="1296.11 148.288 1296.11 148.279 1296.11 148.288"id="Fill-3"transform="translate(0,19)" /><pathstyle="fill:#0a0a08;fill-rule:evenodd;stroke:none;stroke-width:1"inkscape:connector-curvature="0"id="Fill-5"d="m 398.73,175.179 c -5.977,24.055 -17.437,53.074 -38.1,54.735 -0.577,0.043 -1.139,0.07 -1.683,0.07 -8.569,0 -13.375,-5.611 -14.283,-16.678 -1.136,-13.852 4.836,-30.078 15.212,-41.34 6.607,-7.172 14.057,-11.121 20.975,-11.121 h 0.141 c 8.74,0.069 14.864,7.084 17.681,13.625 l 0.148,0.344 z m 189.473,-134.482 0.293,-0.006 c 1.95,0 3.661,0.978 5.089,2.91 6.78,9.168 6.88,42.625 -4.78,80.695 -6.665,21.756 -15.625,42.309 -25.913,59.434 l -1.641,2.728 -0.417,-3.158 c -1.211,-9.203 -1.807,-18.789 -2.229,-26.951 C 555.629,98.808 573.036,41.486 588.203,40.697 Z M 430.85,240.254 c 19.966,-1.604 35.808,-28.756 41.692,-40.356 l 1.517,-2.992 0.572,3.305 c 2.822,16.324 11.699,43.741 39.471,43.953 l 0.23,0.003 c 12.012,0 25.64,-7.345 39.41,-21.242 l 1.011,-1.021 0.735,1.232 c 9.271,15.504 21.709,23.742 34.946,23.065 19.496,-1.01 31.325,-14.83 32.368,-24.42 0.268,-2.446 -0.382,-4.743 -1.777,-6.301 -1.754,-1.957 -4.299,-2.178 -6.172,-0.393 l -0.887,0.846 c -4.541,4.361 -12.996,12.478 -22.207,12.955 -11.28,0.557 -19.621,-6.191 -25.014,-20.109 l -0.224,-0.582 0.379,-0.495 c 31.016,-40.572 52.787,-102.478 50.637,-143.996 -0.99,-19.218 -6.58,-42.127 -27.564,-42.127 -0.515,0 -1.036,0.014 -1.566,0.042 -8.04,0.415 -15.351,4.246 -21.731,11.384 -19.473,21.784 -29.664,75.409 -25.965,136.616 0.768,12.717 2.976,24.597 6.564,35.31 l 0.2,0.598 -0.409,0.48 c -11.51,13.451 -22.867,20.863 -31.978,20.863 -21.928,0 -21.187,-36.759 -19.454,-67.252 0.374,-6.573 0.931,-10.759 -1.014,-13.14 -1.392,-1.705 -3.716,-2.545 -7.105,-2.572 l -0.397,-0.002 c -7.798,0 -9.429,1.603 -13.425,13.181 -8.304,24.061 -24.698,64.426 -41.189,64.426 -4.572,-0.035 -8.061,-1.6 -10.447,-4.644 -8,-10.213 -1.926,-35.678 2.953,-56.145 0.878,-3.681 1.72,-7.213 2.44,-10.48 1.07,-4.854 0.742,-8.397 -0.976,-10.536 -1.715,-2.134 -5.15,-3.003 -9.685,-2.642 -7.062,0.564 -11.578,3.52 -13.758,16.951 l -0.437,2.795 -1.643,-1.988 c -3.083,-4.553 -9.099,-9.981 -20.26,-9.981 -0.98,0 -1.991,0.038 -3.037,0.125 -11.914,0.979 -25.48,9.276 -35.406,21.663 -11.592,14.464 -17.128,32.769 -15.587,51.542 0.082,0.993 0.225,1.946 0.368,2.897 l 0.081,0.525 -0.362,0.395 c -6.934,7.555 -14,11.387 -21,11.389 -10.804,-0.085 -17.004,-8.118 -17.004,-21.493 0,-22.514 15.258,-90.388 15.258,-114.959 0,-26.148 -11.653,-40.387 -31.886,-40.541 l -0.305,-0.002 c -29.542,0 -52.574,33.528 -74.607,102.502 -2.019,6.32 -4.214,13.617 -6.096,19.924 l -3.093,10.371 0.918,-10.783 c 2.046,-24.027 3.452,-47.404 4.179,-69.484 1.096,-33.336 -3.41,-54.789 -13.778,-65.586 -5.592,-5.824 -12.993,-8.69 -22.628,-8.764 h -0.256 c -36.154,0 -53.474,60.973 -66.084,104 -3.806,12.986 -11.312,42.281 -16.319,62.31 l 2.967,-4.824 C 79.24,170.831 85.682,107.661 85.259,73.392 84.806,36.627 72.563,20.142 45.561,19.935 h -0.333 c -14.422,0 -24.429,7.17 -30.285,13.185 -9.397,9.651 -15.257,23.757 -14.93,35.938 0.198,7.405 4.743,13.996 8.187,13.996 2.245,0 3.486,-2.994 4.026,-4.777 8.354,-27.617 19.162,-41.043 33.041,-41.043 5.757,0.045 10.036,1.74 13.245,5.183 10.84,11.63 8.869,43.032 5.292,100.039 -1.153,18.372 -2.459,39.19 -3.563,62.87 -0.189,4.06 -0.442,7.988 -0.682,11.715 -1.055,16.449 -1.89,29.441 4.347,30.406 8.114,1.265 13.397,-2.028 16.097,-10.061 4.009,-11.92 12.999,-44.49 30.394,-104.016 16.69,-57.119 29.3,-77.902 45.434,-77.902 18.638,0 20.028,32.004 16.61,99.536 -0.725,14.314 -1.701,30.532 -2.448,48.183 -0.105,2.477 -0.223,4.881 -0.337,7.197 -0.717,14.607 -1.284,26.145 2.889,30.563 1.302,1.375 3.074,2.056 5.418,2.072 8.079,0 10.508,-7.086 14.532,-18.826 0.712,-2.076 1.468,-4.285 2.309,-6.606 27.687,-76.371 48.157,-142.633 75.633,-142.633 8.244,0 14.651,6.694 14.651,19.75 0,30.134 -14.732,88.368 -14.732,117.887 0,10.573 3.043,20.074 8.796,26.745 5.903,6.847 14.162,10.504 23.883,10.579 h 0.213 c 9.193,0 18.773,-4.468 28.477,-13.275 l 0.909,-0.826 0.732,0.984 c 6.389,8.598 16.7,13.211 27.832,12.35 17.076,-1.328 31.405,-16.535 36.734,-30.869 l 1.043,-2.807 1.043,2.807 c 3.952,10.639 12.521,23.463 30.832,21.975 z" /><pathd="m 494.568,87.023 c -7.628,0 -13.791,6.01 -13.847,13.396 -0.059,7.442 6.061,13.542 13.639,13.602 l 0.109,1.106 v -1.106 c 7.518,0 13.679,-6.006 13.735,-13.391 0.058,-7.445 -6.06,-13.548 -13.636,-13.607"id="Fill-8"inkscape:connector-curvature="0"style="fill:#0a0a08;fill-rule:evenodd;stroke:none;stroke-width:1" /><pathd="m 965.58432,81.982632 c -7.628,0 -13.791,6.01 -13.847,13.396 -0.059,7.441998 6.061,13.541998 13.639,13.601998 l 0.109,1.106 v -1.106 c 7.518,0 13.679,-6.006 13.735,-13.390998 0.058,-7.445 -6.06,-13.548 -13.636,-13.607"id="Fill-8-2"inkscape:connector-curvature="0"style="fill:#0a0a08;fill-rule:evenodd;stroke:none;stroke-width:1" />')
//	.addShape('wb-common-movedown', '<path d="M7.41,8.58L12,13.17L16.59,8.58L18,10L12,16L6,10L7.41,8.58Z" />')
//	.addShape('wb-common-html', ' <path id="path2" d="M12,0C9.694,0,7.781,1.758,7.53,4L7.5,5c0,2.2,1.8,4,4,4h1h3h2l2-4h12l-1.961,3.921 C29.521,8.958,29.548,9,29.588,9h0.211H50.5V0H12z" style="fill:#EAD8BB;" /><path id="path4" d="M29.5,9v26.201c0,0.505-0.665,0.69-0.925,0.256L23.5,27l-5.075,8.458 c-0.26,0.433-0.925,0.249-0.925-0.256V9h-6c-2.2,0-4-1.8-4-4v48.958C7.5,56.19,9.31,58,11.542,58H50.5V9H29.5z" style="fill:#6B4842;" /><path id="path6" d="M12.5,9h-1c-2.2,0-4-1.8-4-4v48.958C7.5,56.19,9.31,58,11.542,58H12.5V9z" style="fill:#513531;" /><path id="path8" d="M50.5,2h-9c-0.553,0-1,0.447-1,1s0.447,1,1,1h9V2z" style="fill:#D3BEA1;" /><path id="path10" d="M50.5,5h-8c-0.553,0-1,0.447-1,1s0.447,1,1,1h8V5z" style="fill:#D3BEA1;" /><path id="path12" d="M19.5,5l-2,4v26.201c0,0.505,0.666,0.69,0.925,0.256L23.5,27l5.075,8.458 c0.26,0.433,0.925,0.249,0.925-0.256V9l2-4H19.5z" style="fill:#DD352E;" /><polygon id="polygon14" points="19.5,5 17.5,9 29.5,9 31.5,5 " style="fill:#B02721;" /> ')
	;
}])